/*  lircrc-config pretends to be a GUI for LIRC's rc files.
    Copyright (C) 2001 Manuel Estrada Sainz <ranty@atdot.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _MY_GTK_HELPERS_H
#define _MY_GTK_HELPERS_H

#include <glade/glade.h>
#include <gnome.h>

void widget_changed(GtkWidget *widget);
void widget_changed_apply(GtkWidget *widget, void *base);
void widget_changed_apply_recursive(GtkWidget *widget, void *base);
gboolean widget_changed_cancel(GtkWidget *widget);

gboolean is_widget_changed(GtkWidget *widget);
gboolean is_widget_changed_recursive(GtkWidget *widget);

void connect_changed_signal(GtkWidget *wid);
void gtk_editable_set_text(GtkEditable *editable, gchar *text, GdkFont *font);
void gtk_container_foreach_recursive (GtkWidget * wid,
				      GtkCallback cb,
				      gpointer arg);
#endif
