/*  lircrc-config pretends to be a GUI for LIRC's rc files.
    Copyright (C) 2001 Manuel Estrada Sainz <ranty@atdot.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _COMMENTS_H
#define _COMMENTS_H
#include <glib.h>

void init_comments(void);
gchar **new_comments (void *element, gint size);
gchar **get_comments (void *element);
void kill_comments (void *element);
gchar **new_mode_comments (char *mode);
void rename_mode_comments (char *mode, char *new_mode);
gchar **get_mode_comments (char *mode);
void kill_mode_comments (char *mode);
void set_entry_text_pos(void *element, guint16 start, guint16 end);
gint get_entry_text_pos(void *element, guint16 *end);
void reset_entry_text_pos(void);

#endif
